#!/usr/bin/env python
"""A scene which provides some consistency and helper
methods to the menus in the game.
"""

import cocos

from const import *
from res import *

class MenuScene(cocos.scene.Scene):
    def __init__(self, menu_title):
        super(MenuScene, self).__init__()

        # Background
        self.add(cocos.sprite.Sprite(menu_image, position=(WINDOW_WIDTH / 2, WINDOW_HEIGHT / 2)), z=-10)

        self.menu = cocos.menu.Menu(menu_title)
        self.add(self.menu)

        # Set up some fonts
        self.menu.font_title['font_name'] = GAME_FONT
        self.menu.font_item['font_name'] = GAME_FONT
        self.menu.font_item_selected['font_name'] = GAME_FONT

    def create_text(self, text, font_size=18, top=WINDOW_HEIGHT - 100):
        """Creates a list of labels, one per line."""
        return [cocos.text.Label(line, font_name=GAME_FONT, font_size=font_size, color=(255, 255, 255, 255), x=WINDOW_WIDTH / 2, y=top - i * font_size * 1.4, anchor_x='center', anchor_y='top') for i, line in enumerate(text.splitlines())]

    def add_text(self, text, font_size=18, top=WINDOW_HEIGHT - 100):
        for label in self.create_text(text, font_size, top):
            self.add(label)
