#!/usr/bin/env python

import pyglet

from const import MUSIC_VOLUME

# Images
background_image = pyglet.resource.image('background.png')
sun_image = pyglet.resource.image('sun.png')
boat_image = pyglet.resource.image('boat.png')
dolphin_image = pyglet.resource.image('dolphin.png')
ring_image = pyglet.resource.image('ring.png')
caught_ring_image_grid = pyglet.image.ImageGrid(pyglet.resource.image('caught-ring-grid.png'), 6, 1)
all_rings_image = pyglet.resource.image('all-rings.png')
ripples_image = pyglet.resource.image('ripples.png')
splash_images = pyglet.image.ImageGrid(pyglet.resource.image('splash.png'), 1, 15)
splash_animation = splash_images.get_animation(.1, loop=False)
cloud_image_grid = pyglet.image.ImageGrid(pyglet.resource.image('clouds.png'), 1, 3)
voice_image = pyglet.resource.image('voice.png')
tick_image = pyglet.resource.image('tick.png')
menu_image = pyglet.resource.image('menu.png')

# Sounds
music = pyglet.resource.media('04 - Voices Under Water.ogg')
splash_sound = pyglet.resource.media('splash.wav', streaming=False)
ring_sound = pyglet.resource.media('ring.wav', streaming=False)
sea_sound = pyglet.resource.media('sea.wav', streaming=False)
applause_sound = pyglet.resource.media('applause.wav', streaming=False)

music_player = pyglet.media.Player()
music_player.volume = MUSIC_VOLUME
music_player.eos_action = pyglet.media.Player.EOS_LOOP
music_player.queue(music)

sea_player = pyglet.media.Player()
sea_player.eos_action = pyglet.media.Player.EOS_LOOP
sea_player.queue(sea_sound)

def start_background_sound():
    if music_player.volume:
        music_player.play()
    sea_player.play()

def stop_background_sound():
    music_player.pause()
    music_player.seek(0)
    sea_player.pause()
    sea_player.seek(0)

# Fonts
pyglet.resource.add_font('mailrays.ttf')
